4.1 통계
1.발송통계 조회
Section titled “1.발송통계 조회”일일 메시지 발송 통계 정보를 조회합니다. 이 API를 통해 특정 일의 채널별 전체 발송 건수, 성공 건수, 실패 건수 등을 확인할 수 있습니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 | 크기 |
|---|---|---|---|---|
| ymd | String | ● | 년월일 | - |
| projectId | String | ● | 프로젝트 아이디 | - |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data.ymd | String | 발송일자 (yyyy-mm-dd) |
| data.projectId | String | 프로젝트 ID |
| data.apiKey | String | apiKey |
| data.ch | String | 발송채널 |
| data.totalCnt | Integer | 전체 발송 건수 |
| data.succCnt | Integer | 성공 건수 |
| data.failCnt | Integer | 실패 건수 |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/stat" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \ -d '{ "ymd": "20250710", "projectId": "312.....98m" }'JSON Response
Section titled “JSON Response”{ "code": "10000", "message": "성공", "data": [ { "ymd": "2025-07-10", "projectId": "312.....98m", "apiKey": "API....3", "ch": "SMS", "totCnt": "12", "succCnt": "11", "failCnt": "1" }, { "ymd": "2025-07-10", "projectId": "312.....98m", "apiKey": "API....3", "ch": "FRIENDTALK", "totCnt": "5", "succCnt": "4", "failCnt": "1" }, ... ]}